Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class ClientStanzaHandler

    java.lang.Object
      org.jivesoftware.openfire.net.StanzaHandler
          org.jivesoftware.openfire.net.ClientStanzaHandler

    public class ClientStanzaHandler

extends StanzaHandler

Handler of XML stanzas sent by clients connected directly to the server. Received packet will have their FROM attribute overriden to avoid spoofing.

By default the hostname specified in the stream header sent by clients will not be validated. When validated the TO attribute of the stream header has to match the server name or a valid subdomain. If the value of the 'to' attribute is not valid then a host-unknown error will be returned. To enable the validation set the system property xmpp.client.validate.host to true.

Author:
  Gaston Dombiak

Field Summary

Fields inherited from class org.jivesoftware.openfire.net.StanzaHandler
`CHARSET, connection, session`

Constructor Summary
`ClientStanzaHandler(PacketRouter router, String serverName, Connection connection)`

Method Summary
`protected void` | `processIQ(IQ packet)` Process the received IQ packet.
`protected void` | `processMessage(Message packet)` Process the received Message packet.
`protected void` | `processPresence(Presence packet)` Process the received Presence packet.

Methods inherited from class org.jivesoftware.openfire.net.StanzaHandler
`createSession, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientStanzaHandler

    public ClientStanzaHandler(PacketRouter router,
                               String serverName,
                               Connection connection)

Method Detail

### processIQ

    protected void processIQ(IQ packet)
                      throws UnauthorizedException

  Description copied from class: `StanzaHandler`
  Process the received IQ packet. Registered `PacketInterceptor` will be invoked before and after the packet was routed.

  Subclasses may redefine this method for different reasons such as modifying the sender of the packet to avoid spoofing, rejecting the packet or even process the packet in another thread.

  Overrides:
    `processIQ` in class `StanzaHandler`
  Parameters:
    `packet` - the received packet.
  Throws:
    `UnauthorizedException` - if service is not available to sender.

### processPresence

    protected void processPresence(Presence packet)
                            throws UnauthorizedException

  Description copied from class: `StanzaHandler`
  Process the received Presence packet. Registered `PacketInterceptor` will be invoked before and after the packet was routed.

  Subclasses may redefine this method for different reasons such as modifying the sender of the packet to avoid spoofing, rejecting the packet or even process the packet in another thread.

  Overrides:
    `processPresence` in class `StanzaHandler`
  Parameters:
    `packet` - the received packet.
  Throws:
    `UnauthorizedException` - if service is not available to sender.

### processMessage

    protected void processMessage(Message packet)
                           throws UnauthorizedException

  Description copied from class: `StanzaHandler`
  Process the received Message packet. Registered `PacketInterceptor` will be invoked before and after the packet was routed.

  Subclasses may redefine this method for different reasons such as modifying the sender of the packet to avoid spoofing, rejecting the packet or even process the packet in another thread.

  Overrides:
    `processMessage` in class `StanzaHandler`
  Parameters:
    `packet` - the received packet.
  Throws:
    `UnauthorizedException` - if service is not available to sender.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.